# Проверяем, установлен ли Supabase CLI
if (!(Get-Command supabase -ErrorAction SilentlyContinue)) {
    Write-Host "Supabase CLI не установлен. Запускаем установку..."
    .\setup-supabase.ps1
}

# Инициализируем Supabase проект, если еще не инициализирован
if (!(Test-Path "supabase\.temp")) {
    Write-Host "Инициализация Supabase проекта..."
    supabase init
}

# Запускаем миграцию
Write-Host "Запуск миграции базы данных..."
supabase db push 